Bug 614024 - (ghc-pango) Review Request: ghc-pango - Haskell pango binding
Review Request: ghc-pango - Haskell pango binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On: 609518 609528
Blocks: ghc-gtk
  Show dependency treegraph
 
Reported: 2010-07-13 10:21 EDT by Jens Petersen
Modified: 2010-11-11 10:52 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-pango-0.11.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 08:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mathstuf: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-07-13 10:21:02 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-pango/ghc-pango.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-pango/ghc-pango-0.11.0-1.fc12.src.rpm
Description: 
Haskell binding to Pango from the gtk2hs project.
Comment 1 Jens Petersen 2010-08-18 22:03:55 EDT
Will update to pango-0.11.2 once glib review is done.
Comment 3 Ben Boeckel 2010-09-01 19:27:33 EDT
Taking.

 +:ok, !:needs attention, -:needs fixing,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

% lintmock fedora-14-x86_64-bb
ghc-pango.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-pango.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-pango-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-pango-prof.x86_64: E: devel-dependency ghc-pango-devel
ghc-pango-prof.x86_64: W: no-documentation
ghc-pango-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/pango-0.11.0/libHSpango-0.11.0_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.

All standard and waived

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

ca461174a78af94b361ad687b651d015  ../SOURCES/pango-0.11.0.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

Requires newly reviewed packages. Builds for F14 x86_64 here.

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's
default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must
include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.

APPROVED.
Comment 4 Jens Petersen 2010-09-01 22:55:02 EDT
Thanks

New Package SCM Request
=======================
Package Name: ghc-pango
Short Description: Haskell pango binding
Owners: petersen
Branches: f14
InitialCC: haskell-sig
Comment 5 Kevin Fenzi 2010-09-02 17:32:35 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2010-09-02 23:29:16 EDT
Build failure http://koji.fedoraproject.org/koji/taskinfo?taskID=2444251
Comment 7 Jens Petersen 2010-09-03 02:25:59 EDT
Finally succeeded (on x86-04) after many .as link failures, like this:

http://koji.fedoraproject.org/koji/getfile?taskID=2444633&name=build.log&offset=-4000
Comment 8 Jens Petersen 2010-09-03 02:29:36 EDT
For reference from cabal build -v3 output:

*** Checking old interface for pango-0.11.2:Graphics.Rendering.Pango.Types:
[ 1 of 14] Compiling Graphics.Rendering.Pango.Types ( dist/build/Graphics/Rendering/Pango/Types.hs, dist/build/Graphics/Rendering/Pango/Types.dyn_o )
:
:
*** CorePrep:
    Result size = 954
*** Stg2Stg:
*** CodeGen:
*** CodeOutput:
*** Assembler:
/usr/bin/gcc -Idist/build/Graphics/Rendering/Pango -Idist/build -Idist/build/autogen -Idist/build -Idist/build/autogen -Idist/build -I. -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -c /tmp/ghc27622_0/ghc27622_0.s -o dist/build/Graphics/Rendering/Pango/Types.dyn_o
/tmp/ghc27622_0/ghc27622_0.s: Assembler messages:
/tmp/ghc27622_0/ghc27622_0.s:1552:0:
     Error: junk `el' after expression
/tmp/ghc27622_0/ghc27622_0.s:1552:0:
     Error: 8-byte relocation cannot be applied to 4-byte field
Comment 9 Fedora Update System 2010-09-03 03:00:58 EDT
ghc-pango-0.11.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-pango-0.11.2-1.fc14
Comment 10 Fedora Update System 2010-09-03 12:43:22 EDT
ghc-pango-0.11.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-pango'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-pango-0.11.2-1.fc14
Comment 11 Fedora Update System 2010-09-23 08:30:39 EDT
ghc-pango-0.11.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jens Petersen 2010-11-10 02:47:55 EST
Package Change Request
======================
Package Name: ghc-pango
New Branches: f13 el6
Owners: petersen
InitialCC: haskell-sig
Comment 13 Jason Tibbitts 2010-11-11 10:52:57 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.